# $Revision: 1.5.2.1 $, $Date: 2004/08/28 21:08:20 $
Summary:	File archiver with highest compression ratio
Summary(pl):	Paker plikw z najwyszym stopniem kompresji
Name:		p7zip
Version:	0.91
Release:	1.1
License:	LGPL
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/p7zip/%{name}_%{version}.tar.bz2
# Source0-md5:	8c6a7b49f360917cbdd8391f3a926a19
Patch0:		%{name}-opt.patch
URL:		http://sourceforge.net/projects/p7zip
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
7-Zip is a file archiver with highest compression ratio.

The main features of 7z format:
- Open architecture
- High compression ratio
- Strong AES-256 encryption
- Ability of using any compression, conversion or encryption method
- Supporting files with sizes up to 16000000000 GB
- Unicode file names
- Solid compressing
- Archive headers compressing

%description -l pl
7-Zip jest pakerem plikw z najwyszym stopniem kompresji.

Gwne cechy formatu 7z:
- Otwarta architektura,
- Wysoki stopie kompresji,
- Silne kodowanie AES-256,
- Moliwo uywania dowolnych metod kodowania, kompresji, konwersji,
- Obsuga bardzo duych plikw,
- Obsuga nazw plikw w unikodzie,
- Kompresja upakowana,
- Kompresja nagwkw archiwum.

%package stand-alone
Summary:	Stand-alone 7zip executable
Summary(pl):	Samodzielny plik wykonywalny 7zip
Group:		Applications/Archiving

%description stand-alone
Stand-alone version of 7zip. It handles less archive formats than
plugin capable version.

%description stand-alone -l pl
Samodzielna wersja 7zip-a. Obsuguje mniej formatw archiw ni
wersja obsugujca wtyczki.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

cd 7zip/UI/Common
sed -e "s@Formats@%{_libdir}/%{name}/&@" ArchiverInfo.cpp > tmp
mv -f tmp ArchiverInfo.cpp
cd ../../Archive/Common
sed -e "s@return GetBaseFolderPrefix() + TEXT(\"Codecs\\\\\\\\\");@return TEXT(\"%{_libdir}/%{name}/Codecs/\");@" CodecsPath.cpp > tmp
mv -f tmp CodecsPath.cpp

%build
%{__make} \
	CC_="%{__cc}" \
	CXX_="%{__cxx}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}/{Codecs,Formats}}

install bin/7z{,a} $RPM_BUILD_ROOT%{_bindir}
install bin/Codecs/* $RPM_BUILD_ROOT%{_libdir}/%{name}/Codecs
install bin/Formats/* $RPM_BUILD_ROOT%{_libdir}/%{name}/Formats

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html ChangeLog README TODO
%attr(755,root,root) %{_bindir}/7z
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/Codecs
%attr(755,root,root) %{_libdir}/%{name}/Codecs/*
%dir %{_libdir}/%{name}/Formats
%attr(755,root,root) %{_libdir}/%{name}/Formats/*

%files stand-alone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/7za

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: p7zip.spec,v $
Revision 1.5.2.1  2004/08/28 21:08:20  blues
- release 1.1 for RA

Revision 1.5  2004/08/27 23:46:11  qboosh
- updated to 0.91

Revision 1.4  2004/07/31 23:03:05  twittner
- typo

Revision 1.3  2004/07/31 22:18:16  wolf
- 0.90

Revision 1.2  2004/07/11 13:35:21  qboosh
- XFree86-devel seems not used(?), but libstdc++-devel is

Revision 1.1  2004/07/09 12:53:53  wolf
- new
